* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}

h1,
h2 {
    font-family: 'Cinzel', serif;
}

html {
    scroll-behavior: smooth;
}

body {
    background-color: rgb(15, 4, 42);
    justify-content: center;
    align-items: center;
    align-content: center;
    min-height: 100vh;
    max-width: 1200px;
    margin: 0 auto;
}

body::before {
    content: "";
    position: fixed;
    inset: 0;
    background-image: url(/imgs/bg.gif);
    background-size: cover;
    background-position: center;
    opacity: 0.4;
    z-index: -1;
}

body::after {
    content: "";
    position: fixed;
    inset: 0;
    background: black;
    z-index: 9999;
    animation: fadeOut 1s ease forwards;
}

@keyframes fadeOut {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
        visibility: hidden;
    }
}

.title-comms {
    padding: 10px;
    display: flex;
    color: white;
    justify-content: center;
}

.title-comms h1 {
    color: rgb(93, 176, 243);
    text-shadow: 0 0 10px;

    opacity: 0;
    transform: translateY(30px);
    animation: titleReveal 1.2s ease forwards;
}

@keyframes titleReveal {
    from {
        opacity: 0;
        transform: translateY(30px);
        filter: blur(0);
    }

    to {
        opacity: 1;
        transform: translateY(0);
        filter: blur(0);
    }
}

.examples-comms {
    color: white;
}

.container-comms {
    background-color: rgba(0, 0, 0, 0.30);
    border-radius: 15px;
    padding: 30px;
    column-count: 2;
    margin: 0 auto;
    justify-self: center;
    justify-items: center;
    align-items: start;
}

.container-comms a {
    -webkit-tap-highlight-color: transparent;
}

@media (max-width:600px) {
    .container-comms {
        column-count: 1;
        gap: 10px;
    }
}


.container-comms>div {
    break-inside: avoid;
    margin-bottom: 10px;
}

.prices-color {
    color: rgb(93, 176, 243);
    text-shadow: 0 0 10px;
}

.examples-comms h2 {
    color: rgb(218, 222, 231);
    display: inline-block;
    animation: floatTitle 3s ease-in-out infinite, glowSoft 3s ease-in-out infinite;
    ;
}

@keyframes floatTitle {

    0%,
    100% {
        transform: translateY(0px);
    }

    50% {
        transform: translateY(-3px);
    }
}

@keyframes glowSoft {

    0%,
    100% {
        text-shadow: 0 0 5px rgba(180, 200, 255, 0.2);
    }

    50% {
        text-shadow: 0 0 10px rgba(180, 200, 255, 0.6);
    }
}


.icons-comms img,
.bust-comms img,
.hb-comms img,
.chibi-comms img,
.sketch-comms img,
.fb-comms img {
    transition: 0.2s;
    max-width: 100%;
    height: auto;
    border-radius: 5px;
}

.icons-comms img:hover,
.bust-comms img:hover,
.hb-comms img:hover,
.chibi-comms img:hover,
.sketch-comms img:hover,
.fb-comms img:hover {
    transform: scale(1.02);
    cursor: pointer;
}

/* ICONS */
.icons-comms {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, auto);
    gap: 5px;
}


.icons-comms img {
    width: 200px;

}


/* BUST */
.bust-comms {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 5px;
}

@media (max-width: 600px) {
    .bust-comms {
        grid-column: 1 / -1;
    }
}

.bust-comms img {
    width: 200px;

}

/* HALF-BODY */
.hb-comms {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 5px;
}


.hb-comms img {
    width: 220px;
}

/* CHIBI */
.chibi-comms {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
}

.chibi-comms img {
    width: 500px;
}

/* SKETCH */
.sketch-comms {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 5px;
    margin: 0 auto;
}


.sketch-comms img {
    width: 350px;


}

.fb-comms {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 5px;
    margin: 0 auto;
}

.fb-comms img {
    width: 350px;


}

@media (max-width: 600px) {
    .fb-comms {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: 5px;
        margin: 0 auto;
    }

    .fb-comms img {
        width: 350px;


    }

}

/* RESPONSIVIDADE */
.thanaris {
    transform: translateY(-104px);
}

.thanaris:hover {
    transform: translateY(-104px) scale(1.02) !important;

}

.piper {
    transform: scale(0.8) translateY(35px) translateX(25px);

}

.piper:hover {
    transform: scale(0.8) scale(1.02) translateY(35px) translateX(25px) !important;
}

.piperxrico {
    transform: scale(1.2) translateX(17px) translateY(93px);
}

.piperxrico:hover {
    transform: scale(1.2) scale(1.01) translateX(17px) translateY(93px) !important;
}

@media (max-width: 600px) {
    .piperxrico {
        transform: scale(1.2) translateX(17px) translateY(74px);
    }

    .piperxrico:hover {
        transform: scale(1.2) scale(1.01) translateX(17px) translateY(70px) !important;
    }

    .thanaris {
        transform: translateY(-83px);
    }

    .thanaris:hover {
        transform: translateY(-83px) scale(1.02) !important;
    }

    .piper {
        transform: scale(0.8) translateY(32px) translateX(25px);

    }

    .piper:hover {
        transform: scale(0.8) scale(1.02) translateY(32px) translateX(25px) !important;
    }

}

.tanako {
    transform: translateY(10px);
}

.tanako:hover {
    transform: translateY(10px) scale(1.02) !important;
}

.hb-title {
    transform: translateY(90px) !important;
}

@media (max-width: 600px) {
    .hb-title {
        transform: translateY(4px) !important;
    }
}

@keyframes floatTitleHb {

    0%,
    100% {
        transform: translateY(0px);
    }

    50% {
        transform: translateY(-7px);
    }
}


@media (max-width: 600px) {
    .hb-comms {
        transform: translateY(-70px);
    }
}

/* LINK REDIRECIONAMENTO */


.back-link-comms {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-top: 10px;
    transform: translateY(-80px);
}

.back-link-comms a {
    user-select: none;
    -webkit-tap-highlight-color: transparent;
    padding: 10px;
    border: 1px solid white;
    border-radius: 5px;
    color: white;
    text-decoration: none;
    transition: 0.3s;
}

.back-link-comms a:hover {
    transform: scale(1.02);
    background-color: rgba(142, 187, 246, 0.2);
}

@media (max-width:600px) {
    .back-link-comms a {
        font-size: 18px;
    }
}

/* LIGHTBOX*/

.lightbox {
    position: fixed;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.9);

    display: flex;
    justify-content: center;
    align-items: center;

    z-index: 10000;

    /* animação */
    opacity: 0;
    visibility: hidden;

    transition: opacity 0.3s ease, visibility 0.3s ease;
}

/* quando abrir */
.lightbox.active {
    opacity: 1;
    visibility: visible;

    transition:
        opacity 0.3s ease,
        visibility 0s
}

.lightbox-img {
    max-width: 90%;
    max-height: 90%;
    border-radius: 5px;
    box-shadow: 0 0 20px #000;

    transform: scale(0.94);
    transition: transform 0.3s ease;
}

.lightbox-close {
    -webkit-tap-highlight-color: transparent;
    user-select: none;
    position: absolute;
    top: 20px;
    right: 40px;
    font-size: 40px;
    color: rgb(255, 255, 255);
    cursor: pointer;
    text-shadow: blue 0 0 10px;
}

@media (max-width:600px) {
    .lightbox-close {
        -webkit-tap-highlight-color: transparent;
        user-select: none;
        position: absolute;
        top: 20px;
        right: 20px;
        font-size: 40px;
        color: rgb(255, 255, 255);
        cursor: pointer;
        text-shadow: blue 0 0 10px;
    }
}

/* ANIMAÇÃO DE APARECER */
.reveal {
    opacity: 0;
    transform: translateY(40px);
    filter: blur(2px);

    transition:
        opacity 1s cubic-bezier(0.22, 1, 0.36, 1),
        transform 1s cubic-bezier(0.22, 1, 0.36, 1),
        filter 1s cubic-bezier(0.22, 1, 0.36, 1);
}

.reveal.show {
    opacity: 1;
    transform: translateY(0);
    filter: blur(0);
}